== Why is this an issue?

include::../description.adoc[]

include::../noncompliant.adoc[]

include::../compliant.adoc[]

=== Exceptions

When the type of the field is the containing class and that field is static, no issue is raised to allow singletons named like the type. 
ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

endif::env-github,rspecator-view[]
